Summary:	Icon Editor
Name:		kiconedit
Version: 	4.4.0
Release: 	%mkrel 1
Source0:        %name-%version.tar.xz
License: 	GNU GPL v3
Group: 		Graphical desktop/KDE4
Url: 		http://kde.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  kdelibs4-devel
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%{name} < %version

%description 
KIconEdit or KDE Icon Editor is a small graphics drawing program 
specially designed for creating icons using the standard KDE icon
palette. KIconEdit is part of the K Desktop Environment (KDE).

%description -l de
KIconEdit oder KDE Icon Editor ist ein kleines Grafik-Zeichenprogramm
speziell für das Erstellen von Symbolen mit dem Standard-KDE-Symbol
Palette. KIconEdit ist Teil des K Desktop Environment (KDE).

%description -l fr
KIconEdit ou KDE Icon Editor est un petit programme de dessin graphique
spécialement conçu pour créer des icônes en utilisant l'icône standard de KDE
palette. KIconEdit fait partie de l'environnement de bureau K (KDE).

%description -l es
KIconEdit o KDE Icon Editor es un pequeño programa de dibujo de gráficos
diseñado especialmente para la creación de iconos usando el icono estándar de KDE
paleta. KIconEdit es parte del entorno de escritorio K (KDE).

%description -l pl
KIconEdit lub KDE Icon Editor to mały program do rysowania grafiki
specjalnie zaprojektowany do tworzenia ikon przy użyciu standardowej ikony KDE
palety. KIconEdit jest częścią K Desktop Environment (KDE).

%description -l sr
КИцонЕдит или за КДЕ Икона Едитор је мали програм за цртање графика
специјално дизајниран за креирање иконица помоћу стандардних иконица за КДЕ
палету. КИцонЕдит је део К Десктоп Енвиромент (за КДЕ).

%description -l nl
KIconEdit of KDE Icon Editor is een klein grafisch tekenprogramma
speciaal ontworpen voor het maken van iconen met behulp van de standaard KDE-pictogram
palet. KIconEdit is onderdeel van de K Desktop Environment (KDE).


%prep
%setup -q
  
%build
%cmake_kde4
%make


%install
rm -rf %{buildroot}
cd build
%{makeinstall_std}
cd -

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop



%files
%defattr(-,root,root)
/*


%clean
rm -rf %{buildroot}


%changelog
* Mon Feb 21 2011 texstar <texstar.com> 4.4.0-1pclos2011
- 4.4.0

* Tue Mar 09 2010 Texstar <texstar at gmail.com> 4.3.1-4pclos2010
- rebuild

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 4.3.1-3pclos2010
- rebuild

* Sat Oct 03 2009 Texstar <texstar at gmail.com>
- rebuild for 2010

* Tue Sep 02 2009 Texstar <texstar at gmail.com> 4.3.1-1pclos2009
- 4.3.1

* Thu Aug 06 2009 pcserver <pcserver at hushmail.com> 
- create 

